<template>
  <div :class="hello">
    <div :class="[headerBox]">
      <div :class="[headerTop]">
        <img :class="logo" src="../img/logo.png" alt="logo">
        <li :class="[h2, headerCenter]"><a href="https://vuejs.org" target="_blank" rel="noopener">Home</a></li>
        <li :class="[h2, headerCenter]"><a href="https://vuejs.org" target="_blank" rel="noopener">Other Page</a></li>
        <li :class="[h2, headerRight]"><a href="https://vuejs.org" target="_blank" rel="noopener">Français</a></li>
      </div>
      <headerfooter :class="[headerBottom, mainAlign, h1]">
        {{ msgHeaderBottom }}
      </headerfooter>
    </div>
    <div :class="[body, mainAlign]">
      <div :class="[bodyTop, h1]">
        {{ msgBodyTop}}
      </div>
      <div class='carousel-view'>
        <button class='carouselLeft-controlsButton' @click="previous">prev</button>
        <button class='carouselRight-controlsButton' @click="next">next</button>
        <transition-group class='carousel' tag="div">
          <img
            v-for="slide in slides"
            class='slide'
            :src= slide.path
            :key="slide.id">
          </img>
        </transition-group>
        <div :class="flexContainer">
          <div :class="[]">
            <h1>{{ login }}</h1>
            <label for="fname" :class="h1">First name*</label><br>
            <input :class="[box, h3]" type="text" placeholder="First name*" id="fname" name="fname"><br><br>
            <label for="lname" class="h1">Last name*</label><br>
            <input :class="[box, h3]" type="text" placeholder="Last name*" id="lname" name="lname"><br><br>
            <input class = "box" type="checkbox" id="verify" name="verify" value="Bike">
            <label for="verify" :class="h2">By checking here, I confirm that I am Lorem Ipsum professional of Canada</label><br>
          </div>
          <div>
          </div>
          <div :class="[middleAlign]">
            <h1>Lorem Ipsum</h1>
            <ul type="circle" id="LoremListe">
              <li><div :class="h2">Lorem ipsum dolor sit amet, consectetur adipiscing elit</div></li><br>
              <li><div :class="h2">Lorem ipsum dolor sit amet, consectetur adipiscing elit</div></li><br>
              <li><div :class="h2">Lorem ipsum dolor sit amet, consectetur adipiscing elit</div></li>
            </ul>
          </div>
        </div>
        <div>
          <button :class="loginButton" @click="login">Login &nbsp &nbsp&nbsp&nbsp ></button>
        </div>
        <div :class="flexContainer">
          <div :class="[]">
            <div :class="h1">Lorem Ipsum</div>
            <div :class="h2">
              Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis vel sem sem. Cras consectetur, magna vitae accumsan faucibus, lorem erat lacinia tortor, ut mattis enim sapien eu ex. Cras dignissim eget sem eget cursus. Curabitur eu facilisis urna, sit amet consequat massa. Nullam posuere ex metus, non bibendum risus euismod eu. Morbi tristique ultrices nibh ac porta. Aliquam interdum libero tellus, ac iaculis lorem convallis sed.
            </div>
          </div>
          <div :class="[oneThird]">
            <div :class="h1">Lorem Ipsum</div>
            <div :class="h2">
              Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis vel sem sem. Cras consectetur, magna vitae accumsan faucibus, lorem erat lacinia tortor, ut mattis enim sapien eu ex. Cras dignissim eget sem eget cursus. Curabitur eu facilisis urna, sit amet consequat massa. Nullam posuere ex metus, non bibendum risus euismod eu. Morbi tristique ultrices nibh ac porta. Aliquam interdum libero tellus, ac iaculis lorem convallis sed.
            </div>
          </div>
          <div :class="[oneThird]">
            <div :class="h1">Lorem Ipsum</div>
            <div :class="h2">
              Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis vel sem sem. Cras consectetur, magna vitae accumsan faucibus, lorem erat lacinia tortor, ut mattis enim sapien eu ex. Cras dignissim eget sem eget cursus. Curabitur eu facilisis urna, sit amet consequat massa. Nullam posuere ex metus, non bibendum risus euismod eu. Morbi tristique ultrices nibh ac porta. Aliquam interdum libero tellus, ac iaculis lorem convallis sed.
            </div>
          </div>
        </div>
        <br>
        <div :class="[]">
          <div h1>
            <div :class="h2"><b><u>Click here</u></b> to lorem ipsum dolor sit</div>
          </div>
          <div h1>
            <div :class="h3">Vestibulum vestibulum scelerisque tellus ac accumsan. Nullam eleifend dignissim nisl, sit amet porttitor augue malesuada id. Pellentesque rutrum purus odio, ut ultrices metus commodo nec. Proin malesuada augue quis odio pulvinar, vitae ultrices est mattis. Mauris scelerisque accumsan sapien, quis rhoncus mauris tincidunt id. Nulla a semper turpis, vitae semper dolor. Vestibulum fermentum, metus ac faucibus condimentum, sapien sapien iaculis lectus, at mattis ligula enim et ligula. Phasellus hendrerit libero venenatis nibh molestie, quis interdum ex venenatis.</div>
          </div>
        </div>
        <br>
        <br>
        <div :class="footer">
          <div :class="footerTop">
            <div :class="flexContainer">
              <div :class="h2">
                <a>Terms of use</a>
              </div>
              <div :class="[oneThird, h2]">
                <a>Privacy Policy </a>
              </div>
            </div>
          </div>
          <div :class="footerMidContainer">
            <div :class="footerMid">
              <div :class="flexContainer">
                <div>
                  <img :class="footerLogo" src="../img/logofooter.png" alt="logofooter">
                </div>
                <div :class="oneThird">
                  <div :class="[h1, oneThird]">
                    Lorem
                  </div>
                  <div :class="[h2, oneThird]">
                    555, boulevard Armand Frappier, Laval, QC, H7V 4A7 <br> www.site.ca| 1-888-902-9700
                  </div>
                </div>
                <div :class="[h2, middleAlign, vertOffset]">
                  @ registered trademark of Lorem Co. ltd, <br> Used under License @ 2017 Lorem Canada Inc. All rights reserved.
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'hello2',
  data () {
    return {
      mainAlign: 'mainAlign',
      middleAlign: 'middleAlign',
      floatLeft: 'floatLeft',
      floatRight: 'floatRight',
      headerBox: 'headerBox',
      box: 'box',
      h1: 'h1',
      h2: 'h2',
      h3: 'h3',
      h4: 'h4',
      vertOffset: 'vertOffset',
      footer: 'footer',
      footerTop: 'footerTop',
      footerMid: 'footerMid',
      footerMidContainer: 'footerMidContainer',
      footerBottom: 'footerBottom',
      footerBottomContainer: 'footerBottomContainer',
      oneThird: 'oneThird',
      footerLogo: 'footerLogo',
      twoThird: 'twoThird',
      flexContainer: 'flexContainer',
      logo: 'logo1',
      headerCenter: 'center',
      headerRight: 'right',
      hello: 'hello',
      body: 'body',
      headerBottom: 'headerBottom',
      msgHeaderBottom: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',
      loremIpsum: 'Lorem Ipsum',
      login: 'Login',
      loginButton: 'loginButton',
      bodyTop: 'bodyTop',
      msgBodyTop: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor*',
      bodyItem1: [
        { message: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit' },
        { message: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit' },
        { message: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit' }
      ],
      slides: [
        {
          title: 'I am Slide A',
          path: '../img/image01.jpg',
          id: 1
        },
        {
          title: 'I am Slide B',
          path: '../img/image02.jpg',
          id: 2
        },
        {
          title: 'I am Slide C',
          path: '../img/image03.jpg',
          id: 3
        }
      ]
    }
  },

  methods: {
    next () {
      const first = this.slides.shift()
      this.slides = this.slides.concat(first)
    },
    previous () {
      const last = this.slides.pop()
      this.slides = [last].concat(this.slides)
    },
    login () {
      // to be implemented
    }
  }
}
</script>


<!-- Add "scoped" attribute to limit CSS to this component only -->
<style>

  #app {
    font-family: 'typekit';
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    color: #2c3e50;
  }

  .hello {
    font-family: 'typekit';
  }

.mainAlign {
  position: relative;
  left: 20%;
  right: 20%;
  text-align: left;
}

.footer {
  position: relative;
  left: -20%;
  text-align: left;
}
.middleAlign {
  margin-left: 20%;
}
.oneThird {
  margin-left: 5%;
}
.body {
  width: 1000px;
}
.footerLogo {
  height: 100%;
}
.floatLeft {
  float: left;
}
.floatRight {
  float: right;
}
.footerTop {
  margin-left: 10%;
}
.footerMidContainer {
  margin-left: -30%;
  position: relative;
  height:200px;
  width: 250%;
  background: lightgray;
}


.footerMid {
  position: absolute;
  top: 40px;
  margin-left: 10%;
  white-space: nowrap;
}
.center {
  float: initial;
  color: white;
}

.vertOffset {
  position: relative;
  top: 45px;
}

.right {
  float: right;
}

.box {
  border: 3px solid #94cf39;
}

.logo1 {
  float: left;
  padding-left: 20px;
  padding-top: 20px;
}
.headerBox {
  position: relative;
  width:100%;
  height:300px;
  border:1px;
  color: white;
  background-color: #94cf39;
}

.headerBottom {
  position: absolute;
  bottom: 10%;
  font-size: 34px;
  color: white;
}

<!-- Carousel -->
.carouselLeft-controlsButton{
 float: left;
  overflow: visible;
  vertical-align: 50%;
}
.carouselRight-controlsButton{
 float: right;
  overflow: visible;
}

.loginButton{
  background-color: #566c7a;
  color: white;
}

.carousel-view {
  float: left;
  overflow: visible;

  flex-direction: column;
  align-items: center;
}
.carousel {
  justify-content: center;
  align-items: center;
  overflow: visible;

  width: 24em;
  min-height: 25em;
}
.slide {
  flex: 0 0 20em;
  height: 20em;
  margin: 1em;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  overflow: visible;
  transition: transform 0.3s ease-in-out;
}
.slide:first-of-type {
  opacity: 0;
}
.slide:last-of-type {
  opacity: 0;
}

.flexContainer {
  display: flex;
}

a:link
{
  color:#FFFFFF;
}

a:visited
{
  color:#FFFFFF;
}

a:hover
{
  color:#FFFFFF;
  font-weight: bold;
  text-decoration: underline;
}


.h1 {
  font-family: typekit;
  font-weight: bold;
  font-size: 38px;
}

.h2 {
  font-family: typekit;
  font-size: 20px;
  font-weight: lighter;
}

.h3 {
  font-family: typekit;
  font-size: 18px;
  font-weight: lighter;
}

ul {
  list-style-type: none;
  padding: 0;
}

li {
  display: inline-block;
  margin: 0 10px;
}

a {
  color: #35495E;
}
</style>
